import Vue from 'vue'
import App from '@/App'
import uniappApi from '@/common/uniapp.api.js'
import filters from '@/common/filters.js'
import crypto from '@/common/crypto.js'
import storage from '@/common/storage.js'
import globalMixin from '@/mixins/global.js'
import store from '@/store/index.js'

Vue.config.productionTip = false
App.mpType = 'app'

// 使用插件
Vue.use(uniappApi)
Vue.use(filters)
Vue.use(crypto)
Vue.use(storage)

// 全局混入
Vue.mixin(globalMixin)

const app = new Vue({
    store,
    ...App
})

app.$mount()
